## ros-humble-moveit-setup-controllers 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_setup_controllers)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(moveit_setup_framework REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
add_definitions(-DQT_NO_KEYWORDS)

qt5_wrap_cpp(MOC_FILES
    include/moveit_setup_controllers/controller_edit_widget.hpp
    include/moveit_setup_controllers/controllers_widget.hpp
    include/moveit_setup_controllers/urdf_modifications_widget.hpp
)

add_library(${PROJECT_NAME}
    src/control_xacro_config.cpp
    src/controller_edit_widget.cpp
    src/controllers.cpp
    src/controllers_widget.cpp
    src/controllers_config.cpp
    src/modified_urdf_config.cpp
    src/moveit_controllers_config.cpp
    src/moveit_controllers_widget.cpp
    src/ros2_controllers_config.cpp
    src/ros2_controllers_widget.cpp
    src/urdf_modifications.cpp
    src/urdf_modifications_widget.cpp
    ${MOC_FILES}
)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(${PROJECT_NAME}
  ament_index_cpp
  moveit_setup_framework
  pluginlib
  rclcpp
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  ament_add_gtest(test_controllers test/test_controllers.cpp)
  target_link_libraries(test_controllers ${PROJECT_NAME})
endif()

install(DIRECTORY templates DESTINATION share/${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
        EXPORT export_${PROJECT_NAME}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin
)
install(FILES moveit_setup_framework_plugins.xml
        DESTINATION share/${PROJECT_NAME}
)
install(DIRECTORY include/
        DESTINATION include
)

install(DIRECTORY launch
        DESTINATION share/${PROJECT_NAME}
)
ament_export_include_directories(include)

ament_export_libraries(${PROJECT_NAME})
ament_export_targets(export_${PROJECT_NAME})
pluginlib_export_plugin_description_file(moveit_setup_framework moveit_setup_framework_plugins.xml)

ament_package()

=== debian/changelog ===
ros-humble-moveit-setup-controllers (2.5.5-2bookworm) bookworm; urgency=high

  * add missing dependencies on config utils (backport #1962 <https://github.com/ros-planning/moveit2/issues/1962>) (#2206 <https://github.com/ros-planning/moveit2/issues/2206>)
    when installing ros-humble-moveit-setup-assistant from debs,
    the package cannot currently run due to this missing depend
    (cherry picked from commit cc635471aadfb9446398ece319ae31c6b72bec86)
    Co-authored-by: Michael Ferguson <mailto:mfergs7@gmail.com>
  * Fix clang compiler warnings (backport of #1712 <https://github.com/ros-planning/moveit2/issues/1712>) (#1896 <https://github.com/ros-planning/moveit2/issues/1896>)
    - Fix warning: definition of implicit copy assignment operator is deprecated
    - Fix warning: expression with side effects will be evaluated
    - Fix warning: passing by value
    - Enable -Werror
    - Fix -Wdelete-non-abstract-non-virtual-dtor
    - Fix more clang warnings
    - Modernize gtest: TYPED_TEST_CASE -> TYPED_TEST_SUITE
    - Fix GoogleTestVerification.UninstantiatedTypeParameterizedTestSuite
    - Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
    - Explicitly declare overrides
    - Add default constructors as they are not implicitly declared anymore
    - Declare selected classes as final
    - Add noexcept specifier to constructors
    - Fixup gmock/gtest warnings
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: Robert Haschke, mergify[bot]

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.4-2bookworm) bookworm; urgency=high

  * MSA: write the default controller namespace (#1515 <https://github.com/ros-planning/moveit2/issues/1515>) (#1651 <https://github.com/ros-planning/moveit2/issues/1651>)
    (cherry picked from commit 066e8621166858d3f556726197b07643a1b685f9)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 03 Nov 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.3-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.2-2bookworm) bookworm; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
    Adds a nice testing harness for easy checking of generated files.
    New Features:
    * Updated sensor configuration format
    * Keep trajectory execution parameters around
    Tests
    * Ported the ROS 1 tests for perception and controllers
    * Added some SRDF Planning Groups tests
  * fix duplicated ros_control joints (#1406 <https://github.com/ros-planning/moveit2/issues/1406>)
    when more than one controller can control a joint,
    that joint would appear multiple times
  * [MSA] Add additional parameters to Controller definitions (#1408 <https://github.com/ros-planning/moveit2/issues/1408>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Migration Cleanup (#1253 <https://github.com/ros-planning/moveit2/issues/1253>)
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)
  * Contributors: AndyZe, David V. Lu!!, Michael Ferguson, Vatan Aksoy Tezer

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.3.2-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 Dec 2021 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.3.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Dec 2021 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.3.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 07 Oct 2021 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.2.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.2.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 29 Jun 2021 16:00:00 -0000



=== debian/control ===
Source: ros-humble-moveit-setup-controllers
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-clang-format <!nocheck>, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-index-cpp, ros-humble-ament-lint-auto <!nocheck>, ros-humble-moveit-configs-utils <!nocheck>, ros-humble-moveit-resources-fanuc-moveit-config <!nocheck>, ros-humble-moveit-resources-panda-moveit-config <!nocheck>, ros-humble-moveit-setup-framework, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-moveit-setup-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-cpp, ros-humble-moveit-setup-framework, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-ros-workspace
Description: MoveIt Setup Steps for ROS 2 Control

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-setup-controllers//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-moveit-setup-controllers//opt/ros/humble/opt/moveit_setup_controllers/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
